function ydt = kepler(t,Y)
r1 = Y(1:2); r2 = Y(5:6); r3 = Y(9:10);
v1 = Y(3:4); v2 = Y(7:8); v3 = Y(11:12);

a1 = 1/norm(r2-r1)^3*(r2-r1)+1/norm(r3-r1)^3*(r3-r1);
a2 = 1/norm(r1-r2)^3*(r1-r2)+1/norm(r3-r2)^3*(r3-r2);
a3 = 1/norm(r1-r3)^3*(r1-r3)+1/norm(r2-r3)^3*(r2-r3);

ydt = [v1;a1;v2;a2;v3;a3];

